Entwurf Teilen

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Split and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎русский
Arrow-left.svg Vorherige: Draft Join.svg Verbinden
Nächste: Hochstufen Draft Upgrade.svg Arrow-right.svg

Draft Split.svg Entwurf Teilen

Menüeintrag
Änderung → Teilen
Arbeitsbereich
Entwurf, Architektur
Standardtastenkürzel
S P
Eingeführt in Version
0.18
Siehe auch
Entwurf Verbinden

Beschreibung

Der Draft Split.svg Entwurf Teilen Befehl teilt eine Entwurf Linie oder Entwurf Draht an einem bestimmten Punkt oder einer Kante. Dieser Befehl ist das Gegenstück zum Befehl Entwurf Verbinden.

Anwendung

    • Es gibt mehrere Möglichkeiten, den Befehl aufzurufen:
    • Drücke die Draft Split.svg Entwurf teilen.
    • Wähle die Option Änderung → Draft Split.svg Teilen aus dem Menü.
    • Verwende die Tastaturkürzel: S und dann P.
  1. Bewege den Mauszeiger über die richtige Kante einer Entwurf Linie oder eines Entwurf Draht.
  2. Die Kante wird markiert.
  3. Führe einen der folgenden Schritte aus:
    • Wenn der Draht geschlossen ist:
      • Wähle einen beliebigen Punkt auf der Kante.
      • Die Kante wird vom Draht abgetrennt und wird zu einem separaten Draht.
    • Wenn der Draht offen ist:
      • Wähle den richtigen Punkt auf der Kante. Siehe Hinweise.
      • Der Draht wird an der gegriffenen Stelle geteilt.

Hinweise

  • Wenn ein offener Draht geteilt wird und der angeklickte Punkt nicht genau auf der ausgewählten Kante liegt, wird der neue Punkt nicht kollinear mit der ehemaligen Kante sein. Verwende eine entsprechende Entwurf Fang Option, um dies zu verhindern.
  • Um Objekte zu teilen, die keine Entwurf Linien oder Entwurf Drähte sind, kannst du zunächst versuchen, sie mit Entwurf Hochstufen und/oder Entwurf Herabstufen einmal oder mehrmals zu teilen.

Skripten

Siehe auch: Autogenerierte API Dokumentation und FreeCAD Grundlagen Skripten.

Um einen Draht zu teilen, verwende die Methode split des Moduls Entwurf. Diese Methode gibt None zurück.

split(wire, newPoint, edgeIndex)
  • wire das Drahtobjekt, das geteilt werden soll.
  • newPoint der Punkt, an dem die Aufteilung erfolgen soll.
  • edgeIndex Index der Kante, an der die Aufteilung erfolgen soll (1-basiert).

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(500, 0, 0)
p3 = App.Vector(250, 0, 0)

wire = Draft.make_wire([p1, p2])

Draft.split(wire, p3, 1)
doc.recompute()


Arrow-left.svg Vorherige: Draft Join.svg Verbinden
Nächste: Hochstufen Draft Upgrade.svg Arrow-right.svg